//
// curveDisplay.h
//
// The header file of the view for curves
//

#ifndef __CURVEDISPLAY_H__
#define __CURVEDISPLAY_H__

#include <FL/Fl.H>

#include <FL/Fl_Gl_Window.H>
#include <FL/gl.h>
#include <GL/gl.h>
#include <GL/glu.h>

#include <FL/Fl_Menu_Button.H>
#include <FL/Fl_Menu_Item.H>

class fltkCurveEditor;

class curveDisplay : public Fl_Gl_Window
{
public:
	curveDisplay(int x, int y, int w, int h, const char *l, fltkCurveEditor *f);
	~curveDisplay();

	void draw();
	int handle(int event);

	void resetCurveMenu(Object *obj);

	void refresh();

private:
	fltkCurveEditor *father;

	int eventToDo;
	int isAnEvent;
	int coordx, coordy;

	Fl_Menu_Button *m_pPopupMenu;
	Fl_Menu_Item   *menutable;

	int m_nMenuStart;
	int m_nMenuEnd;

	// static callback functions
	static void cb_toggle_curve(Fl_Widget* o, void* v);
	static void cb_toggle_group(Fl_Widget* o, void* v);
	static void cb_set_curve_type(Fl_Widget* o, void* v);
};

#endif